layui.use([ 'element', 'table', 'laydate', 'form' ], function() {
	var $ = layui.jquery;
	var table = layui.table;
	var laydate = layui.laydate;
	var element = layui.element;
	var form = layui.form;

	
	var typeData = {
		0:'单选题',	
		1:'多选题',	
		2:'填空题'	
	}
	// 生成表格
	table.render({
		elem 	: '#questionTable',
		url 	: '../../../questions', 
		toolbar : '#toolbarDemo',
		title 	: '问题表',// 导出文件名
		id 		: 'questionTableAll',
		// 开启分页
		// page	: true,
		page 	: {
			layout : [ 'count', 'prev', 'page', 'next', 'skip', 'limit' ]
		},
		limits	: [10,30,50,80,100,999],
		/*request : {
			'limitName' : 'pageSize' // 分页每页条数默认字段改为pageSize
		},*/
		where:{
			question : '',
			type     : ''
		},
		cellMinWidth : 80, // 全局定义常规单元格的最小宽度，layui 2.2.1 新增
		cols : [ [ {
			type : 'numbers',
			title : '序号',
			width : 50,
			fixed : "left"
		},{
			field : 'question',
			title : '问题',
		},{
			field : 'type',
			align : 'center',
			title : '题目类型',
			width :  120,
			templet : function(d) {
				return typeData[d.type]
			} 
		},{
			field : 'answer1',
			align : 'center',
			width : 200,
			title : '选项A'
		},{
			field : 'answer2',
			align : 'center',
			width : 200,
			title : '选项B'
		},{
			field : 'answer3',
			align : 'center',
			width : 200,
			title : '选项C'
		},{
			field : 'answer4',
			align : 'center',
			width :  200,
			title : '选项D'
		},{
			field : 'answer',
			align : 'center',
			width :  120,
			title : '正确答案'
		}/*,{
			field : 'createBy',
			align : 'center',
			width : 150,
			title : '创建人'
		},{
			field : 'createDate',
			title : '创建时间',
			align : 'center',
			templet : function(d) {
				return d.createDate != null ?layui.util.toDateString(d.createDate, "yyyy-MM-dd HH:mm:ss") : "";
			} 
		}*/,{
			fixed : 'right',
			title : '操作',
			align : 'center',
			width : 150,
			toolbar : '#barDemo'
		} ] ],
		parseData : function(res) { //将原始数据解析成 table 组件所规定的数据
			return {
				"code" 	: 0, //解析接口状态
				"msg" 	: "", //解析提示文本
				"count"	: res.data.list.total,//解析数据长度
				"data" 	: res.data.list.list//解析数据列表
			};
		}
	});

	//点击查询按钮，重载表格
	$('#searchBtn').on('click', function() {
		table.reload('questionTableAll', {
			method : 'get',
			where : {
				question : $("#question").val(),
				type 	 : $("#type").val()
			},
			page : {
				curr : 1
			}
		});
		return false;
	});
	
	// 监听头部工作栏的 新增
	table.on('toolbar(questionTable)', function(obj) {
		var checkStatus = table.checkStatus(obj.config.id);
		switch (obj.event) {
		case 'add':
			layer.open({
				type : 2,
				title : "添加问题",
				fix: false, //不固定
	    		maxmin: true,
	    		skin:'layui-layer-molv',
				area : [ '45%', '70%' ],
				content : './addQuestion.jsp',
			});
			break;
		}
		;
	});

	// 监听 修改
	table.on('tool(questionTable)', function(obj) {
		var data1 = obj.data;
		if (obj.event === 'edit') {
			layer.open({
				type : 2,
				title : "修改问题",
				area : [ '45%', '70%' ],
				skin:'layui-layer-molv',
				content : './updateQuestion.jsp',
				success : function(layero, index) {
					var body = layer.getChildFrame('body', index);
					var iframeWin = window[layero.find('iframe')[0]['name']]; // 得到iframe页的窗口对象
					body.find('#id').val(data1.id);
					body.find('#question').val(data1.question);
					body.find('#answer1').val(data1.answer1);
					body.find('#answer2').val(data1.answer2);
					body.find('#answer3').val(data1.answer3);
					body.find('#answer4').val(data1.answer4);
					body.find('#answer').val(data1.answer);
					layui.form.render();
				}
			});
		}else if(obj.event === 'del'){
	      	layer.confirm('确定要删除该数据么？',{icon:3,title:"提示"}, function(index){
	    	  	$.ajax({
	    			url:"../../../deleteQuestion",
	    		  	data:{'id': data1.id},
	    			type:"post",
	    			//dataType:"json",
	    		  	success:function (data) {
	    			 	if (data.code == 200) {
	    			 		layer.msg('删除成功！',{icon:6,offset:"auto",time:1000});//提示框
					  	}else{
						    layer.msg('删除失败！',{icon:5,offset:"auto",time:1000});//提示框
					  	}
	    			 	setTimeout(function(){
	    			 		location.reload();//重新加载页面
						}, 1100);
	    		 	}  
	    	 	});  
	            return false; 
	     	});
	    }
	})
});
